/*
 * LinkedCell_ControllerUnitTest.hpp
 *
 *  Created on: Nov 29, 2011
 *      Author: heber
 */

#ifndef LINKEDCELL_CONTROLLERUNITTEST_HPP_
#define LINKEDCELL_CONTROLLERUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class Box;
class RealSpaceMatrix;
namespace LinkedCell {
  class LinkedCellController;
}

/********************************************** Test classes **************************************/

class LinkedCell_ControllerTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( LinkedCell_ControllerTest) ;
    CPPUNIT_TEST ( getViewTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();

      void getViewTest();

private:
      Box *domain;
      RealSpaceMatrix *BoxM;
      LinkedCell::LinkedCell_Controller *controller;
};


#endif /* LINKEDCELL_CONTROLLERUNITTEST_HPP_ */
